@echo off

set filename=O2HEdit

:: get path of Oxygenbasic
:: -------------------------
set o2_dir=c:\OxygenBasic
if not exist %o2_dir%\gxo2.exe goto missing_dir
if not exist %filename%_dll.o2bas goto missing_file

:: delete exe, dll
::----------------
if exist %filename%.dll del %filename%.dll

:: build dll
::----------
echo gxo2: Building dll file
%o2_dir%\gxo2.exe %filename%_dll.o2bas
move %filename%.dll ..\%filename%.dll
cd ..\
if exist %filename%.rc %o2_dir%\tools\goRC %filename%.rc
if exist %filename%.res %o2_dir%\tools\linkres2exe %filename%.res %filename%.dll

:: delete obj, res
::----------------
echo deleting obj, res files
if exist %filename%.obj del %filename%.obj
if exist %filename%.res del %filename%.res

::build or run main file
::-----------------------
echo gxo2: Starting %filename%.o2bas
%o2_dir%\gxo2.exe %filename%.o2bas
echo .
echo Done ...
pause
goto goodbye


:missing_dir
echo.
echo Please correct the path for o2_dir in this batch file
echo.
pause
goto goodbye

:missing_file
echo. 
echo Error:
echo missing %filename%.o2bas
echo .
pause

:goodbye

