echo off

set filename=O2HEdit

:: get path of Oxygenbasic
:: -------------------------
set o2_dir=c:\OxygenBasic
if not exist %o2_dir%\co2.exe goto missing_dir


cd ..\
if not exist %filename%.o2bas goto missing_file

:: delete exe file
if exist %filename%.exe del %filename%.exe

:: build exe
::----------
echo co2: Building exe file
%o2_dir%\co2.exe %filename%.o2bas


if exist %filename%.rc %o2_dir%\tools\goRC %filename%.rc
if not exist %filename%.exe goto missing_exe
if exist %filename%.res %o2_dir%\tools\linkres2exe %filename%.res %filename%.exe


:: delete obj, res
::----------------
echo deleting obj, res files
if exist %filename%.obj del %filename%.obj
if exist %filename%.res del %filename%.res

:: move exe file
::echo moving %filename%.exe
::move %filename%.exe ..\
echo .
echo Done ...
pause
goto goodbye


:missing_dir
echo.
echo Please correct the path for o2_dir in this batch file
echo.
pause
goto goodbye

:missing_exe
echo. 
echo Error:
echo missing %filename%.exe
echo .
pause
goto goodbye

:missing_file
echo. 
echo Error:
echo missing %filename%.o2bas
echo .
pause

:goodbye